## PDC Get Default Config Info request PDC Get Default Config Info request |

## Functions

QmiMessagePdcGetDefaultConfigInfoInput * | qmi_message_pdc_get_default_config_info_input_new ()
QmiMessagePdcGetDefaultConfigInfoInput * | qmi_message_pdc_get_default_config_info_input_ref ()
void | qmi_message_pdc_get_default_config_info_input_unref ()
gboolean | qmi_message_pdc_get_default_config_info_input_get_token ()
gboolean | qmi_message_pdc_get_default_config_info_input_set_token ()
gboolean | qmi_message_pdc_get_default_config_info_input_get_config_type ()
gboolean | qmi_message_pdc_get_default_config_info_input_set_config_type ()
QmiMessagePdcGetDefaultConfigInfoOutput * | qmi_message_pdc_get_default_config_info_output_ref ()
void | qmi_message_pdc_get_default_config_info_output_unref ()
gboolean | qmi_message_pdc_get_default_config_info_output_get_description ()
gboolean | qmi_message_pdc_get_default_config_info_output_get_total_size ()
gboolean | qmi_message_pdc_get_default_config_info_output_get_version ()
gboolean | qmi_message_pdc_get_default_config_info_output_get_token ()
gboolean | qmi_message_pdc_get_default_config_info_output_get_result ()
void | qmi_client_pdc_get_default_config_info ()
QmiMessagePdcGetDefaultConfigInfoOutput * | qmi_client_pdc_get_default_config_info_finish ()

## Types and Values

| QmiMessagePdcGetDefaultConfigInfoInput
| QmiMessagePdcGetDefaultConfigInfoOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcGetDefaultConfigInfoInput
        ╰── QmiMessagePdcGetDefaultConfigInfoOutput

## Description

## Functions

### qmi_message_pdc_get_default_config_info_input_new ()

    QmiMessagePdcGetDefaultConfigInfoInput *
    qmi_message_pdc_get_default_config_info_input_new
                                   (void);

Allocates a new QmiMessagePdcGetDefaultConfigInfoInput.

#### Returns

the newly created QmiMessagePdcGetDefaultConfigInfoInput. The returned value should be freed with `qmi_message_pdc_get_default_config_info_input_unref()`.

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_ref ()

    QmiMessagePdcGetDefaultConfigInfoInput *
    qmi_message_pdc_get_default_config_info_input_ref
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_unref ()

    void
    qmi_message_pdc_get_default_config_info_input_unref
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_get_token ()

    gboolean
    qmi_message_pdc_get_default_config_info_input_get_token
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_set_token ()

    gboolean
    qmi_message_pdc_get_default_config_info_input_set_token
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_get_config_type ()

    gboolean
    qmi_message_pdc_get_default_config_info_input_get_config_type
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_input_set_config_type ()

    gboolean
    qmi_message_pdc_get_default_config_info_input_set_config_type
                                   (QmiMessagePdcGetDefaultConfigInfoInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_ref ()

    QmiMessagePdcGetDefaultConfigInfoOutput *
    qmi_message_pdc_get_default_config_info_output_ref
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_unref ()

    void
    qmi_message_pdc_get_default_config_info_output_unref
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_get_description ()

    gboolean
    qmi_message_pdc_get_default_config_info_output_get_description
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self,
                                    const gchar **value_description,
                                    GError **error);

Get the 'Description' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |
value_description | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_get_total_size ()

    gboolean
    qmi_message_pdc_get_default_config_info_output_get_total_size
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self,
                                    guint32 *value_total_size,
                                    GError **error);

Get the 'Total Size' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |
value_total_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_get_version ()

    gboolean
    qmi_message_pdc_get_default_config_info_output_get_version
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self,
                                    guint32 *value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |
value_version | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_get_token ()

    gboolean
    qmi_message_pdc_get_default_config_info_output_get_token
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_default_config_info_output_get_result ()

    gboolean
    qmi_message_pdc_get_default_config_info_output_get_result
                                   (QmiMessagePdcGetDefaultConfigInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcGetDefaultConfigInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_get_default_config_info ()

    void
    qmi_client_pdc_get_default_config_info
                                   (QmiClientPdc *self,
                                    QmiMessagePdcGetDefaultConfigInfoInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Default Config Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_get_default_config_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcGetDefaultConfigInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_get_default_config_info_finish ()

    QmiMessagePdcGetDefaultConfigInfoOutput *
    qmi_client_pdc_get_default_config_info_finish
                                   (QmiClientPdc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pdc_get_default_config_info()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_get_default_config_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcGetDefaultConfigInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_get_default_config_info_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcGetDefaultConfigInfoInput

    typedef struct _QmiMessagePdcGetDefaultConfigInfoInput QmiMessagePdcGetDefaultConfigInfoInput;

The QmiMessagePdcGetDefaultConfigInfoInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcGetDefaultConfigInfoOutput

    typedef struct _QmiMessagePdcGetDefaultConfigInfoOutput QmiMessagePdcGetDefaultConfigInfoOutput;

The QmiMessagePdcGetDefaultConfigInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18